# react-liner

High**light a text**. Get its content:

```js
{
  preffix: 'High',
  exact: 'light a text',
  suffix: '. Get its content:'
}
```

With react.

```js
import Liner from 'react-liner'

function callback({prefix, suffix, exact}) {
  console.log('prefix', prefix)
  console.log('exact', exact)
  console.log('suffix', suffix)
}

<Liner onSelect={callback}>This is a Highlightable-Text</Liner>
```

## Roadmap

- [X] Children is a plain text
- [] Children has nested elements
